/* Module développé par la société So Easy World.  http://www.soeasyworld.fr
 * Copyright (C) 2015 S. Lenormand <sebastien.lenormand@soeasyworld.fr>
 * Copyright (C) 2015 M. Guidez
 * Copyright (C) 2016 Nicolas ZABOURI <info@inovea-conseil.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Début de la fenetre modal
$(document).ready(function () {

	//select all the a tag with name equal to modal
	$('input[name=modal]').click(function (e) {
		//Annuler le comportement de lien
		e.preventDefault();

		//Obtenir le tag A
		const id = $(this).attr('href');

		//Obtenez la hauteur et la largeur de l'écran
		const maskHeight = $(document).height();
		const maskWidth = $(window).width();
		const mask = $('#mask');
		//Réglage de la hauteur et la largeur de masquer pour remplir tout l'écran
		mask.css({'width': maskWidth, 'height': maskHeight});

		//Effet de transition
		mask.fadeIn(1000);  //timer
		mask.fadeTo("slow", 0.7);  //ombre

		//Obtenez la hauteur et la largeur de la fenêtre
		const winH = $(window).height();
		const winW = $(window).width();

		//Réglage de la fenêtre pour centrer
		$(id).css('top', winH / 2 - $(id).height() / 2);
		$(id).css('left', winW / 2 - $(id).width() / 2);

		//Effet de transition
		$(id).fadeIn(2000);

	});

	//Si le bouton de fermeture est cliqué
	$('.window .close').click(function (e) {
		//Annuler le comportement du lien
		e.preventDefault();

		$('#mask').hide();
		$('.window').hide();
		location.reload(true)
	});

	//Si le masque est cliqué
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});

	$(window).resize(function () {

		var box = $('#boxes .window');

		//Obtenez la hauteur et la largeur de l écran
		var maskHeight = $(document).height();
		var maskWidth = $(window).width();

		//Réglage de la hauteur et la largeur de masquer pour remplir tout l'écran
		$('#mask').css({'width': maskWidth, 'height': maskHeight});

		//Obtenez la hauteur et la largeur de la fenêtre
		var winH = $(window).height();
		var winW = $(window).width();

		//Réglage de la fenêtre pour centrer
		box.css('top', winH / 2 - box.height() / 2);
		box.css('left', winW / 2 - box.width() / 2);

	});

});
//FIN de la fenêtre modale
//DEBUT TREEVIEW

$(document).ready(function () {
	$(".tree li").each(function () {
		if ($(this).children("ul").length > 0) {
			$(this).addClass("parent");
		}
	});

	$(".tree li.parent > a").click(function () {
		$(this).parent().toggleClass("active");
		$(this).parent().children("ul").slideToggle("fast");
	});

	$("#all").click(function () {
		$(".tree li").each(function () {
			$(this).toggleClass("active");
			$(this).children("ul").slideToggle("fast");
		});
	});

});

//FIN TREEVIEW
//DEBUT ADDPRODUIT

//               function ajoutprod(idprod, ref){
//                setforpredef();
//                $("#idprod").val(idprod);
//                $("#search_idprod").val(ref);
//                $('#mask').hide();
//                $('.window').hide();
//                };
