<?php

/**
 * Written by INOVEA-CONSEIL <info@inovea-conseil.com>
 * Copyright 2016
 **/
$res = 0;
if (!$res && file_exists("../main.inc.php")) {
	$res = @include '../main.inc.php';
}                    // to work if your module directory is into dolibarr root htdocs directory
if (!$res && file_exists("../../main.inc.php")) {
	$res = @include '../../main.inc.php';
}            // to work if your module directory is into a subdir of root htdocs directory
if (!$res && file_exists("../../../main.inc.php")) {
	$res = @include '../../../main.inc.php';
}            // to work if your module directory is into a subdir of root htdocs directory
if (!$res && file_exists("../../../dolibarr/htdocs/main.inc.php")) {
	$res = @include '../../../dolibarr/htdocs/main.inc.php';
}     // Used on dev env only
if (!$res && file_exists("../../../../dolibarr/htdocs/main.inc.php")) {
	$res = @include '../../../../dolibarr/htdocs/main.inc.php';
}   // Used on dev env only
if (!$res) {
	die("Include of main fails");
}

global $conf, $db, $langs, $user;

$idElement = GETPOST('idp');
$typeElement = GETPOST('type');

$action = GETPOST('action');

$idProduct = GETPOST('idprod');
$refProduct = GETPOST('refprod');
$vatProduct = GETPOST('vat');
$useDefaultVat = GETPOST('defaultvat');
$parentProduct = GETPOST('parent');
$quantityProduct = GETPOST('qtyprod');
$idfournprice = GETPOST('idfournprice');


if (!empty($action) && $action == "findProductPriceHT") {

	if (!empty($idProduct)) {
		require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';

		$product = new Product($db);
		$product->fetch($idProduct);

		print json_encode(array("price" => floatval($product->price)));
	}
}
if (!empty($action) && $action == "add_product_line"){
	switch ($typeElement) {
		case 'propal':
			require_once DOL_DOCUMENT_ROOT . '/comm/propal/class/propal.class.php';
			require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';
			require_once DOL_DOCUMENT_ROOT . '/societe/class/societe.class.php';
			//require_once(DOL_DOCUMENT_ROOT .'/product/class/service.class.php');
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';

			$object = new Propal($db);
			$object->fetch(GETPOST('idp'));
			$company = new Societe($db);
			$company->fetch($object->socid);

			$prod = new Product($db);
			$prod->fetch($idProduct, $refProduct);
			$tva = $useDefaultVat ? $prod->tva_tx : $vatProduct;
			$parent = (!empty($parentProduct)) ? $parentProduct : $parent = 0;

			$prodF = new ProductFournisseur($db);
			$pf = $prodF->list_product_fournisseur_price($idProduct);

			if (!empty($pf[0]->product_fourn_price_id)) {
				$bp = $pf[0]->product_fourn_price_id;
				$cost = $pf[0]->fourn_price - (1 * $pf[0]->fourn_remise_percent / 100);
			} else {
				$bp = '';
				$cost = $prod->cost_price;
			}

			$price = $prod->price;

			if ($conf->global->PRODUIT_CUSTOMER_PRICES) {
				$sql = "SELECT price FROM " . MAIN_DB_PREFIX . "product_customer_price WHERE fk_soc = " . $object->socid . " AND fk_product = " . GETPOST("idprod");
				print $sql;
				$res = $db->query($sql);
				if ($res) {
					$objp = $db->fetch_object($res);
					if ($objp != null) {
						$price = $objp->price;
					}
				} else {
					$error = 1;
				}
			}
			$object->addline($prod->description, $price, $quantityProduct, $tva, 0, 0, $prod->id, $company->remise_percent,
				'HT', 0, 0, 0, -1, 0, $parent, $bp, $cost);
			break;

		case 'order':
			require_once DOL_DOCUMENT_ROOT . '/commande/class/commande.class.php';
			require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';
			//require_once(DOL_DOCUMENT_ROOT .'/product/class/service.class.php');
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';

			$object = new Commande($db);
			$object->fetch($idElement);
			$company = new Societe($db);
			$company->fetch($object->socid);

			$prod = new Product($db);
			$prod->fetch($idProduct, $refProduct);
			$tva = $useDefaultVat ? $prod->tva_tx : $vatProduct;
			$parent = (!empty($parentProduct)) ? $parentProduct : $parent = 0;

			$prodF = new ProductFournisseur($db);
			$pf = $prodF->list_product_fournisseur_price($idProduct);

			if (!empty($pf[0]->product_fourn_price_id)) {
				$bp = $pf[0]->product_fourn_price_id;
				$cost = $pf[0]->fourn_price - (1 * $pf[0]->fourn_remise_percent / 100);
			} else {
				$bp = '';
				$cost = $prod->cost_price;
			}

			$price = $prod->price;

			if ($conf->global->PRODUIT_CUSTOMER_PRICES) {
				$sql = "SELECT price FROM " . MAIN_DB_PREFIX . "product_customer_price WHERE fk_soc = " . $object->socid . " AND fk_product = " . GETPOST("idprod");
				print $sql;
				$res = $db->query($sql);
				if ($res) {
					$objp = $db->fetch_object($res);
					if ($objp != null) {
						$price = $objp->price;
					}
				} else {
					$error = 1;
				}
			}

			$object->addline($prod->description, $price, $quantityProduct, $tva, 0, 0, $prod->id, $company->remise_percent,
				'', '', 'HT', 0, 0, 0, 0, -1, 0, $parent, $bp, $cost, 0);
			break;

		case 'invoice':
			require_once DOL_DOCUMENT_ROOT . '/compta/facture/class/facture.class.php';
			require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';
			//require_once(DOL_DOCUMENT_ROOT .'/product/class/service.class.php');
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';

			$object = new Facture($db);
			$object->fetch($idElement);
			$company = new Societe($db);
			$company->fetch($object->socid);
			$prod = new Product($db);
			$prod->fetch($idProduct, $refProduct);
			$tva = $useDefaultVat ? $prod->tva_tx : $vatProduct;
			$parent = (!empty($parentProduct)) ? $parentProduct : $parent = 0;
			$prodF = new ProductFournisseur($db);
			$pf = $prodF->list_product_fournisseur_price($idProduct);
			if (!empty($pf[0]->product_fourn_price_id)) {
				$bp = $pf[0]->product_fourn_price_id;
				$cost = $pf[0]->fourn_price - (1 * $pf[0]->fourn_remise_percent / 100);
			} else {
				$bp = '';
				$cost = $prod->cost_price;
			}

			$price = $prod->price;

			if ($conf->global->PRODUIT_CUSTOMER_PRICES) {
				$sql = "SELECT price FROM " . MAIN_DB_PREFIX . "product_customer_price WHERE fk_soc = " . $object->socid . " AND fk_product = " . GETPOST("idprod");
				print $sql;
				$res = $db->query($sql);
				if ($res) {
					$objp = $db->fetch_object($res);
					if ($objp != null) {
						$price = $objp->price;
					}
				} else {
					$error = 1;
				}
			}
			$object->addline($prod->description, $price, $quantityProduct, $tva, 0, 0, $prod->id, $company->remise_percent,
				'', '', 0, 0, '', 'HT', 0, 0, -1, 0, '', 0, $parent, $bp, $cost);
			break;

		case 'suppliercmd':
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.class.php';
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.commande.class.php';
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';
			require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';

			$object = new CommandeFournisseur($db);
			$object->fetch(GETPOST('idp'));

			$company = new Fournisseur($db);
			$company->fetch($object->socid);

			$prod = new Product($db);
			$prod->fetch(GETPOST('idprod'));


			$prodF = new ProductFournisseur($db);
			$pf = $prodF->list_product_fournisseur_price(GETPOST('idprod'));
			$i = -1;
			$findPrice = false;
			while ($i < count($pf) && !$findPrice) {
				$i++;
				if ($pf[$i]->product_fourn_price_id == $idfournprice) {
					$findPrice = true;
				}
			}

			if (!$findPrice) {
				$i = 0;
			}
//
//			$object->addline($prod->description,
//				price2num($pf[$i]->fourn_unitprice - ($pf[$i]->fourn_unitprice * ($pf[$i]->fourn_remise_percent / 100)) + $pf[$i]->fourn_unitcharges),
//				$quantityProduct, $pf[$i]->fourn_tva_tx, 0, 0, $pf[$i]->product_fourn_id, 0, $pf[$i]->fourn_ref,
//				$company->remise_supplier_percent);

			$object->addline($prod->ref. ' - '. $prod->description,
				$prod->price,
				$quantityProduct, $prod->tva_tx, 0, 0, $pf[$i]->product_fourn_id, 0, $pf[$i]->fourn_ref,
				$company->remise_supplier_percent);
			//$object->addline($prod->description, $prod->price, $_POST['qtyprod'], $prod->tva_tx, 0, 0, $prod->id, 0, 'HT', 0,0,0);
			break;

		case 'supplierinv':
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.class.php';
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.facture.class.php';
			require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';
			require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';


			$object = new FactureFournisseur($db);
			$object->fetch($idElement);
			$company = new Fournisseur($db);
			$company->fetch($object->socid);
			$prod = new Product($db);
			$prod->fetch($idProduct);

			$prodF = new ProductFournisseur($db);
			$pf = $prodF->list_product_fournisseur_price($idProduct);
			$i = -1;
			$findPrice = false;
			while ($i < count($pf) && !$findPrice) {
				$i++;
				if ($pf[$i]->product_fourn_price_id == $idfournprice) {
					$findPrice = true;
				}
			}

			if (!$findPrice) {
				$i = 0;
			}
//			$res = $object->addline($prod->description,
//				price2num(($pf[$i]->fourn_unitprice - ($pf[$i]->fourn_unitprice * ($pf[$i]->fourn_remise_percent / 100)) + $pf[$i]->fourn_unitcharges)),
//				$pf[$i]->fourn_tva_tx, '', '', $quantityProduct, $pf[$i]->product_fourn_id,
//				$company->remise_supplier_percent, '', '', 0, '', 'HT', 0, -1, false, 0, null, 0, 0, $pf[$i]->fourn_ref);

			$res = $object->addline($prod->ref. ' - '. $prod->description,$prod->price,
				$prod->tva_tx, '', '', $quantityProduct, $prod->id,
				$company->remise_supplier_percent, '', '', 0, '', 'HT', 0, -1, false, 0, null, 0, 0, $pf[$i]->fourn_ref);

//			$object->addline($prod->description, $prod->price, $_POST['qtyprod'], $prod->tva_tx, 0, 0, $prod->id, 0, 'HT', 0,0,0);
			// function addline($desc, $pu, $txtva, $txlocaltax1, $txlocaltax2, $qty, $fk_product=0, $remise_percent=0, $date_start='', $date_end='', $ventil=0, $info_bits='', $price_base_type='HT', $type=0, $rang=-1, $notrigger=false, $array_options=0, $fk_unit=null)
			break;
	}

}
